# Uses of Class
javax.swing.tree.ExpandVetoException

Packages that use ExpandVetoException
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.

## Uses of ExpandVetoException in javax.swing

Methods in javax.swing that throw ExpandVetoException
Modifier and Type
Method
Description
`void`
JTree.`fireTreeWillCollapse(TreePath path)`
Notifies all listeners that have registered interest for notification on this event type.
`void`
JTree.`fireTreeWillExpand(TreePath path)`
Notifies all listeners that have registered interest for notification on this event type.

## Uses of ExpandVetoException in javax.swing.event

Methods in javax.swing.event that throw ExpandVetoException
Modifier and Type
Method
Description
`void`
TreeWillExpandListener.`treeWillCollapse(TreeExpansionEvent event)`
Invoked whenever a node in the tree is about to be collapsed.
`void`
TreeWillExpandListener.`treeWillExpand(TreeExpansionEvent event)`
Invoked whenever a node in the tree is about to be expanded.